Principal Access represent a summary of user access for a resource
See Entitlement Management for more information.
Retrieves the current state of principal access for a specific resource. API shows if user has permanent or timed based access to the application along with what entitlements are assigned to that user.
Apply various filters by using supported principal access filtering properties.
Note: Query parameter percent encoding is required. See Percent-encoding
- https://subdomain.okta.comhttps://subdomain.okta.com/governance/api/v1/principal-access
curl -i -X GET \
'https://subdomain.okta.com/governance/api/v1/principal-access?filter=parent.externalId%20eq%20%220oafxqCAJWWGELFTYASJ%22%20AND%20parent.type%20eq%20%22APPLICATION%22%20AND%20targetPrincipal.externalId%20eq%20%2200ub0oNGTSWTBKOLGLNR%22%20AND%20targetPrincipal.type%20eq%20%22OKTA_USER%22'Principal access for a specific resource.
The Okta resource in ORN format
See the ORN format for supported resources.
The Okta user in ORN format
The date on which the user access expires. Date in ISO 8601 format.
The time zone, in IANA format, for the end date of the user access.
Principal access data with base (POLICY or CUSTOM) and any additional entitlements
{ "targetPrincipalOrn": "orn:okta:directory:00o11edPwGqbUrsDm0g4:users:00ub0oNGTSWTBKOLGLNR", "targetPrincipal": { "externalId": "00ub0oNGTSWTBKOLGLNR", "type": "OKTA_USER" }, "parentResourceOrn": "orn:okta:idp:00o11edPwGqbUrsDm0g4:apps:salesforce:0oafxqCAJWWGELFTYASJ", "parent": { "externalId": "0oafxqCAJWWGELFTYASJ", "type": "APPLICATION" }, "expirationTime": "2024-05-31T23:59:59Z", "timeZone": "America/Toronto", "base": { "grantType": "POLICY", "grantMethod": "POLICY", "expirationTime": "2024-05-31T23:59:59Z", "grant": { … }, "entitlements": [ … ] }, "additional": [ { … } ] }